Subject: Re: [GSoC PATCH v8 0/5] repo: add new command for retrieving repository info

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Aug 2025 15:38:05 -0700

Lucas Seiki Oshiro <[email-masked]> writes:

> Hi again!
>
> This 8th version of `git-repo` basically address minor issues from the 7th
> version:
>
> - A test wasn't passing in the CI because it assumed that the ref
>   format was files by default. I fixed that.
>
> - t0450 wasn't passing because the documentation didn't match the
>   usage string. I fixed that.
>
> - A test generated the output and the expected value but wasn't
>   comparing them. I also fixed that.
>
> - strbuf management: now we have two strbufs for printing values:
>   one for unquoted values and other for quoted values
>
> - Test codestyle: now it's ending test case liness with \ instead of
>   open strings
>
> - Documentation: this version documents that we escape the value in
>   the `keyvalue` format.

Thanks for these updates.  Will replace and merge to 'seen'.